package com.ruoyi.pay.type.weixin.config;


import com.github.wxpay.sdk.WXPayConfig;
import lombok.Data;

import java.io.InputStream;

@Data
public class MyWXPayConfig implements WXPayConfig {

    private String appId;
    private String mchId;
    private String key;


    public MyWXPayConfig(String appId, String mchId, String key) {
        this.appId = appId;
        this.mchId = mchId;
        this.key = key;
    }

    @Override
    //商户账号AppID
    public String getAppID() {
        return appId;
    }

    @Override
    //商户编号
    public String getMchID() {
        return mchId;
    }

    @Override
    //商户Key(秘钥)
    public String getKey() {
        return key;
    }

    @Override
    public InputStream getCertStream() {
        return null;
    }

    @Override
    public int getHttpConnectTimeoutMs() {
        return 0;
    }

    @Override
    public int getHttpReadTimeoutMs() {
        return 0;
    }
}
